alt.javax.mail

## Interface Message

- All Known Subinterfaces:
    MimeMessage
  All Known Implementing Classes:
    MessageImpl, MimeMessageImpl, MockMessage, MockMimeMessage

      public interface Message

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFrom(Address[] addresses)`
    `void` | `addHeader(java.lang.String s, java.lang.String s1)`
    `void` | `addRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
    `java.util.Enumeration` | `getAllHeaders()`
    `java.lang.Object` | `getContent()`
    `java.lang.String` | `getContentType()`
    `javax.activation.DataHandler` | `getDataHandler()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getDisposition()`
    `java.lang.String` | `getFileName()`
    `Flags` | `getFlags()`
    `Address[]` | `getFrom()`
    `java.lang.String[]` | `getHeader(java.lang.String s)`
    `java.io.InputStream` | `getInputStream()`
    `int` | `getLineCount()`
    `java.util.Enumeration` | `getMatchingHeaders(java.lang.String[] strings)`
    `java.util.Enumeration` | `getNonMatchingHeaders(java.lang.String[] strings)`
    `javax.mail.Message` | `getRealMessage()`
    `java.util.Date` | `getReceivedDate()`
    `Address[]` | `getRecipients(javax.mail.Message.RecipientType type)`
    `java.util.Date` | `getSentDate()`
    `int` | `getSize()`
    `java.lang.String` | `getSubject()`
    `boolean` | `isMimeType(java.lang.String s)`
    `void` | `removeHeader(java.lang.String s)`
    `Message` | `reply(boolean b)`
    `void` | `saveChanges()`
    `void` | `setContent(Multipart multipart)`
    `void` | `setContent(java.lang.Object o, java.lang.String s)`
    `void` | `setDataHandler(javax.activation.DataHandler handler)`
    `void` | `setDescription(java.lang.String s)`
    `void` | `setDisposition(java.lang.String s)`
    `void` | `setFileName(java.lang.String s)`
    `void` | `setFlags(Flags flags, boolean b)`
    `void` | `setFrom()`
    `void` | `setFrom(Address address)`
    `void` | `setHeader(java.lang.String s, java.lang.String s1)`
    `void` | `setRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
    `void` | `setSentDate(java.util.Date date)`
    `void` | `setSubject(java.lang.String s)`
    `void` | `setText(java.lang.String s)`
    `void` | `writeTo(java.io.OutputStream stream)`

- - ### Method Detail

    - #### getRealMessage

          javax.mail.Message getRealMessage()

    - #### getFrom

          Address[] getFrom()
                     throws MessagingException

      Throws:
        `MessagingException`

    - #### setFrom

          void setFrom()
                throws MessagingException

      Throws:
        `MessagingException`

    - #### setFrom

          void setFrom(Address address)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### addFrom

          void addFrom(Address[] addresses)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### getRecipients

          Address[] getRecipients(javax.mail.Message.RecipientType type)
                           throws MessagingException

      Throws:
        `MessagingException`

    - #### setRecipients

          void setRecipients(javax.mail.Message.RecipientType type,
                             Address[] addresses)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### addRecipients

          void addRecipients(javax.mail.Message.RecipientType type,
                             Address[] addresses)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### getSubject

          java.lang.String getSubject()
                               throws MessagingException

      Throws:
        `MessagingException`

    - #### setSubject

          void setSubject(java.lang.String s)
                   throws MessagingException

      Throws:
        `MessagingException`

    - #### getSentDate

          java.util.Date getSentDate()
                              throws MessagingException

      Throws:
        `MessagingException`

    - #### setSentDate

          void setSentDate(java.util.Date date)
                    throws MessagingException

      Throws:
        `MessagingException`

    - #### getReceivedDate

          java.util.Date getReceivedDate()
                                  throws MessagingException

      Throws:
        `MessagingException`

    - #### getFlags

          Flags getFlags()
                  throws MessagingException

      Throws:
        `MessagingException`

    - #### setFlags

          void setFlags(Flags flags,
                        boolean b)
                 throws MessagingException

      Throws:
        `MessagingException`

    - #### reply

          Message reply(boolean b)
                 throws MessagingException

      Throws:
        `MessagingException`

    - #### saveChanges

          void saveChanges()
                    throws MessagingException

      Throws:
        `MessagingException`

    - #### getSize

          int getSize()
               throws MessagingException

      Throws:
        `MessagingException`

    - #### getLineCount

          int getLineCount()
                    throws MessagingException

      Throws:
        `MessagingException`

    - #### getContentType

          java.lang.String getContentType()
                                   throws MessagingException

      Throws:
        `MessagingException`

    - #### isMimeType

          boolean isMimeType(java.lang.String s)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### getDisposition

          java.lang.String getDisposition()
                                   throws MessagingException

      Throws:
        `MessagingException`

    - #### setDisposition

          void setDisposition(java.lang.String s)
                       throws MessagingException

      Throws:
        `MessagingException`

    - #### getDescription

          java.lang.String getDescription()
                                   throws MessagingException

      Throws:
        `MessagingException`

    - #### setDescription

          void setDescription(java.lang.String s)
                       throws MessagingException

      Throws:
        `MessagingException`

    - #### getFileName

          java.lang.String getFileName()
                                throws MessagingException

      Throws:
        `MessagingException`

    - #### setFileName

          void setFileName(java.lang.String s)
                    throws MessagingException

      Throws:
        `MessagingException`

    - #### getInputStream

          java.io.InputStream getInputStream()
                                      throws java.io.IOException,
                                             MessagingException

      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### getDataHandler

          javax.activation.DataHandler getDataHandler()
                                               throws MessagingException

      Throws:
        `MessagingException`

    - #### getContent

          java.lang.Object getContent()
                               throws java.io.IOException,
                                      MessagingException

      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### setDataHandler

          void setDataHandler(javax.activation.DataHandler handler)
                       throws MessagingException

      Throws:
        `MessagingException`

    - #### setContent

          void setContent(java.lang.Object o,
                          java.lang.String s)
                   throws MessagingException

      Throws:
        `MessagingException`

    - #### setText

          void setText(java.lang.String s)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### setContent

          void setContent(Multipart multipart)
                   throws MessagingException

      Throws:
        `MessagingException`

    - #### writeTo

          void writeTo(java.io.OutputStream stream)
                throws java.io.IOException,
                       MessagingException

      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### getHeader

          java.lang.String[] getHeader(java.lang.String s)
                                throws MessagingException

      Throws:
        `MessagingException`

    - #### setHeader

          void setHeader(java.lang.String s,
                         java.lang.String s1)
                  throws MessagingException

      Throws:
        `MessagingException`

    - #### addHeader

          void addHeader(java.lang.String s,
                         java.lang.String s1)
                  throws MessagingException

      Throws:
        `MessagingException`

    - #### removeHeader

          void removeHeader(java.lang.String s)
                     throws MessagingException

      Throws:
        `MessagingException`

    - #### getAllHeaders

          java.util.Enumeration getAllHeaders()
                                       throws MessagingException

      Throws:
        `MessagingException`

    - #### getMatchingHeaders

          java.util.Enumeration getMatchingHeaders(java.lang.String[] strings)
                                            throws MessagingException

      Throws:
        `MessagingException`

    - #### getNonMatchingHeaders

          java.util.Enumeration getNonMatchingHeaders(java.lang.String[] strings)
                                               throws MessagingException

      Throws:
        `MessagingException`

Copyright © 2002 Mock Objects. All Rights Reserved.